Bug 55427 - serviceconf does not run
serviceconf does not run
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: serviceconf (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 20:38 EST by Carlos Rodrigues
Modified: 2014-03-16 22:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-27 19:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2001-10-30 20:38:13 EST
Description of Problem:
When I try to run "redhat-config-services" nothing happens, if I try to run it with "serviceconf" I get some errors.

Version-Release number of selected component (if applicable):


How Reproducible:
Always

Steps to Reproduce:
1. run redhat-config-services
2. run serviceconf

Actual Results:
With 1. nothing happens.
With 2. I get the following errors:

Traceback (innermost last):
  File "/usr/share/serviceconf/serviceconf.py", line 438, in ?
    main() 
  File "/usr/share/serviceconf/serviceconf.py", line 429, in main
    Gui()
  File "/usr/share/serviceconf/serviceconf.py", line 138, in __init__
    self.populateList()
  File "/usr/share/serviceconf/serviceconf.py", line 190, in populateList
 
 self.clstServices.append_row(servicename,
int(self.dict_services[servicename][0][int(self.editing_runlevel)]))
ValueError: invalid literal for int(): 4:off


Expected Results:
serviceconf should run.

Additional Information:
Comment 1 Helge Skrivervik 2001-11-26 05:16:34 EST
We're seeing the exact same problem. Just type serviceconfig in a terminal
window, and the python traceback is all we get.

hs
Comment 2 Need Real Name 2001-12-18 10:59:59 EST
I have found the same thing on two machines after upgradeing from 7.1 to 7.2.

Also,I now cannot cut n paste from several gui programs to a terminal. Several
programs that don't work are Opera, xpdf, and Abiword. It works with Mozilla,
gdic, and gnome calander.  I have the same behavior on another upgraded machine.
 I can cut n paste from Opera to gvim and then into a terminal. I have tried
reinstalling Opera and using the latest version to no avail.  I also tried it as
a new user with the default account settings and got the same results. On a
machine with a fresh install it works fine.

I was thinking these problems maybe related.
Comment 3 John Wilson 2001-12-27 10:03:29 EST
One more machine with the exact same problem. I was able to run serviceconf
once, but never again. All that could have come between was setting up some
printers with printconf-gui, but I'm not even sure of that.
Comment 4 Steve 2001-12-29 03:09:36 EST
I get the same result with a slightly different traceback:

Traceback (innermost last):
  File "/usr/share/serviceconf/serviceconf.py", line 438, in ?
    main() 
  File "/usr/share/serviceconf/serviceconf.py", line 429, in main
    Gui()
  File "/usr/share/serviceconf/serviceconf.py", line 139, in __init__
    self.on_clstServices_select_row(None, 0, 0, None)
  File "/usr/share/serviceconf/serviceconf.py", line 213, in
on_clstServices_select_row
    self.checking_service = self.clstServices.get_text(i,1)
  File "/usr/lib/python1.5/site-packages/gtk.py", line 1218, in get_text
    return _gtk.gtk_clist_get_text(self._o, r, c)
ValueError: can't get text value
Comment 5 Need Real Name 2002-01-12 00:26:49 EST
I had the same problem (as the first bug).  serviceconf-0.6.6-1, RH7.2.  I had
also recently installed proftpd, and i just noticed serviceconf didn't work anymore.

There are two entries created for proftpd when its installed, in
/etc/rc.d/init.d and /etc/xinetd.d

Fixed by moving the xinetd proftpd entry out of its directory (i'm using the
init.d one).

You may want to check if you have a service with the same name in both directories.
Comment 6 Carlos Rodrigues 2002-01-12 15:33:30 EST
I did have "identd" on both /etc/init.d and /etc/xinetd.d, I renamed the 
xinetd one to "auth" and serviceconf now seems to work.
Comment 7 Need Real Name 2002-01-14 13:59:47 EST
That did it for me! Lonewolf you ROCK!!!!
Comment 8 John Wilson 2002-01-16 00:53:19 EST
I checked /etc/init.d and /etc/xinetd.d for duplicate scripts, as
lonewolf@ihug.co.nz reported, and found no duplicates. I still have the problem.
Comment 9 Gary Hodges 2002-01-16 10:14:00 EST
I too have the same problem.  serviceconf worked fine for quite a while.  I
suspect it was an up2date session that made it quit working.  I get the exact
same result as steve@supersource.com when I run /usr/bin/serviceconf.  I checked
for the duplicate files as suggested by lonewolf@ihug.co.nz, but didn't have
them.  Cheers, Gary

Comment 10 Brad Smith 2002-01-27 19:37:14 EST
I have the same problem and traceback listed by steve@supersource.com and
gary.hodges@noaa.gov. I suspect the problem started when I upgraded from 7.1 to
7.2, but I am not positive. The gui will flash on the screen for a momement then
disappear.

Brad Smith
Comment 11 Bill Nottingham 2002-01-27 19:43:40 EST
I believe this is fixed in the rawhide 0.6.7 version (note: you may need to
rebuild the source RPM to get a version that runs on 7.2)

Note You need to log in before you can comment on or make changes to this bug.